Name:          adwaita-qt
Version:       1.1.0
Release:       6
License:       GPL-2.0 and GPL-2.0+
Summary:       A native style to bend Qt4 and Qt5 applications
Url:           https://github.com/FedoraQt/adwaita-qt
Source0:       https://github.com/FedoraQt/adwaita-qt/archive/%{version}/adwaita-qt-%{version}.tar.gz
Patch0:        adwaita-qt-upstream-fixes.patch
BuildRequires: cmake qt4-devel qt5-qtbase-devel
Requires:      adwaita-qt4

%description
A native style to bend Qt4 and Qt5 applications to look like they belong
into GNOME Shell.

%package devel
Summary:   Adwaita theme variant and common files for adwaita-qt
Provides:  adwaita-qt4 = %{version}-%{release} adwaita-qt5 = %{version}-%{release}
Provides:  adwaita-qt-common = %{version}-%{release}
Obsoletes: adwaita-qt4 < %{version}-%{release} adwaita-qt5 < %{version}-%{release}
Obsoletes: adwaita-qt-common < %{version}-%{release}

%description devel
Adwaita theme variant for applications utilizing Qt4 and Qt5,
and common files for adwaita-qt.

%prep
%autosetup -n %{name}-%{version} -p1

%build
install -d "%{_target_platform}-qt4"
cd "%{_target_platform}-qt4"
%{cmake} -DUSE_QT4=true ..
cd ..

install -d "%{_target_platform}-qt5"
cd "%{_target_platform}-qt5"
%{cmake} ..
cd ..

%make_build -C "%{_target_platform}-qt4"
%make_build -C "%{_target_platform}-qt5"

%install
%make_install -C "%{_target_platform}-qt4"
%make_install -C "%{_target_platform}-qt5"

%files devel
%doc LICENSE.LGPL2 README.md

%files
%{_qt4_plugindir}/styles/adwaita.so
%{_qt5_plugindir}/styles/adwaita.so

%changelog
* Thu Dec 03 2020 Ge Wang <wangge20@huawei.com> - 1.1.0-5
- Modify license

* Tue Apr 21 2020 chengzihan <chengzihan2@huawei.com> - 1.1.0-5
- Package init
